libsigc++ 2.4.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
sigc::unwrap_lambda_type< lambda< T_type > > Struct Template Reference
Lambdas

Deduces the type of the object stored in an object of the passed lambda type. More...

`#include <sigc++/adaptors/lambda/base.h>`

## Public Types
typedef T_type | type

## Detailed Description

### template<class T_type>
struct sigc::unwrap_lambda_type< lambda< T_type > >

Deduces the type of the object stored in an object of the passed lambda type.

Deprecated:
  Use C++11 lambda expressions instead of libsigc++ lambdas.

## Member Typedef Documentation

template <class T_type >

typedef T_type sigc::unwrap_lambda_type< lambda< T_type > >::type